LinuxQMISDK: qaGobiApiNas.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Macros | Typedefs | Functions
qaGobiApiNas.h File Reference
Network Access Service (NAS)

Network Access Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | RFBandInfoElements
struct | servSystem
struct | dataSrvCapabilities
struct | currentPLMN
struct | roamIndList
struct | qaQmi3Gpp2TimeZone
struct | detailSvcInfo
struct | CDMASysInfoExt
struct | callBarStatus
struct | qaQmiServingSystemParam
struct | rxSignalStrengthListElement
struct | ecioListElement
struct | errorRateListElement
struct | rsrqInformation
struct | slqsSignalStrengthInfo
struct | SlqsNas3GppNetworkInfo
struct | SlqsNas3GppNetworkRAT
struct | _slqsNetworkScanInfo
struct | netSelectionPref
struct | acqOrderPref
struct | CSGID
struct | _sysSelectPrefParams
struct | _sysSelectPrefInfo
struct | SrvStatusInfo
struct | GSMSrvStatusInfo
struct | sysInfoCommon
struct | CDMASysInfo
struct | HDRSysInfo
struct | GSMSysInfo
struct | WCDMASysInfo
struct | LTESysInfo
struct | AddCDMASysInfo
struct | AddSysInfo
struct | CallBarringSysInfo
struct | nasGetSysInfoResp
struct | CommInfo
struct | LTEInfo
struct | swiModemStatusResp
struct | nasGetHDRColorCodeResp
struct | nasGetTxRxInfoReq
struct | rxInfo
struct | txInfo
struct | nasGetTxRxInfoResp
struct | CDMASSInfo
struct | HDRSSInfo
struct | LTESSInfo
struct | TDSCDMASigInfo
struct | TDSCDMASigInfoExt
struct | nasGetSigInfoResp
struct | nasIndicationRegisterReq
struct | nasPLMNNameReq
struct | nasPLMNNameResp
struct | OperatorPLMNData
struct | operatorPLMNList
struct | serviceProviderName
struct | PLMNNetworkNameData
struct | PLMNNetworkName
struct | operatorNameString
struct | nasOperatorNameResp
struct | nasGet3GPP2SubscriptionInfoReq
struct | namName
struct | dirNum
struct | sidNid
struct | homeSIDNID
struct | minBasedIMSI
struct | trueIMSI
struct | CDMAChannel
struct | nasGet3GPP2SubscriptionInfoResp
struct | nmrCellInfo
struct | GERANInfo
struct | geranInstInfo
struct | UMTSinstInfo
struct | UMTSInfo
struct | CDMAInfo
struct | cellParams
struct | LTEInfoIntrafreq
struct | infoInterFreq
struct | LTEInfoInterfreq
struct | gsmCellInfo
struct | lteGsmCellInfo
struct | LTEInfoNeighboringGSM
struct | wcdmaCellInfo
struct | lteWcdmaCellInfo
struct | LTEInfoNeighboringWCDMA
struct | umtsLTENbrCell
struct | WCDMAInfoLTENeighborCell
struct | nasCellLocationInfoResp
struct | MNRInfo
struct | nasInitNetworkReg
struct | protocolSubtypeElement
struct | HDRPersonalityResp
struct | HDRProtSubtypResp
struct | PSDetachReq
struct | GetErrRateResp
struct | DRCParams
struct | PilotSetParams
struct | PilotSetData
struct | GetHRPDStatsResp
struct | ActPilotPNElement
struct | NetworkStat1x
struct | NetworkStatEVDO
struct | DeviceConfigDetail
struct | DataStatusDetail
struct | NetworkDebugResp
struct | LteCQIParm
struct | RSSIThresh
struct | ECIOThresh
struct | HDRSINRThresh
struct | LTESNRThresh
struct | IOThresh
struct | RSRQThresh
struct | RSRPThresh
struct | LTESigRptCfg
struct | sigInfo
struct | NasSwiIndReg

## Macros
#define | SLQS_SS_INFO_LIST_MAX_ELEMENTS 18
#define | MAX_DESCRIPTION_LENGTH 255
#define | SLQS_SYSTEM_ID_SIZE 16
#define | PLMN_LENGTH 3
#define | MAX_SERV_SYSTEM_RADIO_INTERFACES 0x0A
#define | MAX_DATA_SRV_CAPABILITIES 0x20
#define | NAM_NAME_LENGTH 12
#define | IMSI_M_S1_LENGTH 7
#define | IMSI_M_S2_LENGTH 3
#define | MAX_PILOT_SETS 0xFF
#define | UATISIZE 16

## Typedefs
typedef struct _slqsNetworkScanInfo | slqsNetworkScanInfo
typedef struct _sysSelectPrefParams | sysSelectPrefParams
typedef struct _sysSelectPrefInfo | sysSelectPrefInfo

## Functions
ULONG | GetSignalStrength (INT8 *pSignalStrength, ULONG *pRadioInterface)
ULONG | GetSignalStrengths (ULONG *pArraySizes, INT8 *pSignalStrength, ULONG *pRadioInterface)
ULONG | PerformNetworkScan (BYTE *pInstanceSize, BYTE *pInstances)
ULONG | InitiateNetworkRegistration (ULONG regType, WORD mcc, WORD mnc, ULONG rat)
ULONG | GetServingNetwork (ULONG *pRegistrationState, ULONG *pCSDomain, ULONG *pPSDomain, ULONG *pRAN, BYTE *pRadioIfacesSize, BYTE *pRadioIfaces, ULONG *pRoaming, WORD *pMCC, WORD *pMNC, BYTE nameSize, CHAR *pName)
ULONG | GetHomeNetwork (WORD *pMCC, WORD *pMNC, BYTE nameSize, CHAR *pName, WORD *pSID, WORD *pNID)
ULONG | GetServingNetworkCapabilities (BYTE *pDataCapsSize, BYTE *pDataCaps)
ULONG | SetNetworkPreference (ULONG technologyPref, ULONG duration)
ULONG | GetNetworkPreference (ULONG *pTechnologyPref, ULONG *pDuration, ULONG *pPersistentTechnologyPref)
ULONG | GetRFInfo (BYTE *pInstanceSize, BYTE *pInstances)
ULONG | InitiateDomainAttach (ULONG action)
ULONG | GetACCOLC (BYTE *pACCOLC)
ULONG | SetACCOLC (CHAR *spc, BYTE accolc)
ULONG | SetCDMANetworkParameters (CHAR *pSPC, BYTE *pForceRev0, BYTE *pCustomSCP, ULONG *pProtocol, ULONG *pBroadcast, ULONG *pApplication, ULONG *pRoaming)
ULONG | GetCDMANetworkParameters (BYTE *pSCI, BYTE *pSCM, BYTE *pRegHomeSID, BYTE *pRegForeignSID, BYTE *pRegForeignNID, BYTE *pForceRev0, BYTE *pCustomSCP, ULONG *pProtocol, ULONG *pBroadcast, ULONG *pApplication, ULONG *pRoaming)
ULONG | GetANAAAAuthenticationStatus (ULONG *pStatus)
ULONG | SLQSGetServingSystem (qaQmiServingSystemParam *pServingSystem)
ULONG | SLQSSetBandPreference (ULONGLONG bandpreference)
ULONG | SLQSNasIndicationRegister (BYTE systemSelectionInd, BYTE DDTMInd, BYTE servingSystemInd)
ULONG | SLQSGetSignalStrength (struct slqsSignalStrengthInfo *pSignalInfo)
ULONG | SLQSPerformNetworkScan (slqsNetworkScanInfo *pNetworkInfo)
ULONG | SLQSSetSysSelectionPref (sysSelectPrefParams *pSysSelectPrefParams)
ULONG | SLQSGetSysSelectionPref (sysSelectPrefInfo *pSysSelectPrefInfo)
ULONG | SLQSNasGetSysInfo (nasGetSysInfoResp *pGetSysInfoResp)
ULONG | SLQSNasSwiModemStatus (swiModemStatusResp *pModemStatusResp)
ULONG | SLQSNasGetHDRColorCode (nasGetHDRColorCodeResp *pGetHDRColorCodeResp)
ULONG | SLQSNasGetTxRxInfo (nasGetTxRxInfoReq *pGetTxRxInfoReq, nasGetTxRxInfoResp *pGetTxRxInfoResp)
ULONG | SLQSNasGetSigInfo (nasGetSigInfoResp *pGetSigInfoResp)
ULONG | SLQSNasIndicationRegisterExt (nasIndicationRegisterReq *pIndicationRegisterReq)
ULONG | SLQSGetPLMNName (nasPLMNNameReq *pPLMNNameReq, nasPLMNNameResp *pPLMNNameResp)
ULONG | SLQSGetOperatorNameData (nasOperatorNameResp *pOperatorNameData)
ULONG | SLQSNasGet3GPP2Subscription (nasGet3GPP2SubscriptionInfoReq *pGet3GPP2SubsInfoReq, nasGet3GPP2SubscriptionInfoResp *pGet3GPP2SubsInfoResp)
ULONG | SLQSNasGetCellLocationInfo (nasCellLocationInfoResp *pNasCellLocationInfoResp)
ULONG | SLQSInitiateNetworkRegistration (nasInitNetworkReg *pNasInitNetRegistrationReg)
ULONG | SLQSSwiGetHDRPersonality (HDRPersonalityResp *pHDRPersonalityResp)
ULONG | SLQSSwiGetHDRProtSubtype (HDRProtSubtypResp *pHDRProtSubtypResp)
ULONG | SLQSSwiPSDetach (PSDetachReq *pPSDetachReq)
ULONG | SLQSGetErrorRate (GetErrRateResp *pGetErrRateResp)
ULONG | SLQSSwiGetHRPDStats (GetHRPDStatsResp *pGetHRPDStatsResp)
ULONG | SLQSSwiNetworkDebug (NetworkDebugResp *pNetworkDebugResp)
ULONG | SLQSSwiGetLteCQI (LteCQIParm *pLteCQIResp)
ULONG | SLQSConfigSigInfo (sigInfo *pSigInfo)
ULONG | SLQSNasSwiIndicationRegister (NasSwiIndReg *pIndRegReq)

## Detailed Description

Network Access Service API function prototypes.

Copyright: © 2011-2014 Sierra Wireless, Inc. all rights reserved

## Macro Definition Documentation

#define IMSI_M_S1_LENGTH 7

#define IMSI_M_S2_LENGTH 3

#define MAX_DATA_SRV_CAPABILITIES 0x20

#define MAX_DESCRIPTION_LENGTH 255

#define MAX_PILOT_SETS 0xFF

#define MAX_SERV_SYSTEM_RADIO_INTERFACES 0x0A

#define NAM_NAME_LENGTH 12

#define PLMN_LENGTH 3

#define SLQS_SS_INFO_LIST_MAX_ELEMENTS 18

#define SLQS_SYSTEM_ID_SIZE 16

#define UATISIZE 16

## Typedef Documentation

typedef struct _slqsNetworkScanInfo slqsNetworkScanInfo

Contain the network scan information.

Parameters

  pNetworkInfoInstances[IN/OUT] | Upon input, maximum number of elements that the network info instance array can contain. Upon successful output, the actual number of elements in the network info instance array.
  pNetworkInfo[OUT] | Network info instance array See SlqsNas3GppNetworkInfo for more information
  pRATInstances[IN/OUT] | Upon input, maximum number of elements that the RAT info instance array can contain. Upon successful output, the actual number of elements in the RAT info instance array.
  pRATInfo[OUT] | RAT info instance array See SlqsNas3GppNetworkRAT for more information

typedef struct _sysSelectPrefInfo sysSelectPrefInfo

Structure for storing the current preferred system selection settings for the device.

Parameters

  pEmerMode | Optional parameter specifying the emergency Mode Values: 0 - OFF (normal) 1 - ON (Emergency) function SLQSGetSysSelectionPref() returns a default value FF if no value is returned by the device.
  pModePref | Optional parameter Bit Mask indicating the radio technology mode preference Bit values: Bit 0 - cdma2000 1x Bit 1 - cdma2000 HRPD(1xEV-DO) Bit 2 - GSM Bit 3 - UMTS Bit 4 - LTE function SLQSGetSysSelectionPref() returns a default value FF if no value is returned by the device.
  pBandPref | Optional parameter Bit mask representing the band preference Bit values: Bit 0 - Band Class 0, A-System Bit 1 - Band Class 0, B-System, Band Class 0 AB, GSM 850 Band Bit 2 - Band Class 1, all blocks Bit 3 - Band Class 2 place holder Bit 4 - Band Class 3, A-System Bit 5 - Band Class 4, all blocks Bit 6 - Band Class 5, all blocks Bit 7 - GSM_DCS_1800 band Bit 8 - GSM Extended GSM (E-GSM) 900 band Bit 9 - GSM Primary GSM (P-GSM) 900 band Bit 10 - Band Class 6 Bit 11 - Band Class 7 Bit 12 - Band Class 8 Bit 13 - Band Class 9 Bit 14 - Band Class 10 Bit 15 - Band Class 11 Bit 16 - GSM 450 band Bit 17 - GSM 480 band Bit 18 - GSM 750 band Bit 19 - GSM 850 band Bit 20 - GSM Railways GSM 900 Band Bit 21 - GSM PCS 1900 band Bit 22 - WCDMA Europe, Japan, and China IMT 2100 band Bit 23 - WCDMA U.S. PCS 1900 band Bit 24 - WCDMA Europe and China DCS 1800 band Bit 25 - WCDMA U.S. 1700 band Bit 26 - WCDMA U.S. 850 band Bit 27 - WCDMA Japan 800 band Bit 28 - Band Class 12 Bit 29 - Band Class 14 Bit 30 - Reserved Bit 31 - Band Class 15 Bit 32 to 47 - Reserved Bit 48 - WCDMA Europe 2600 band Bit 49 - WCDMA Europe and Japan 900 band Bit 50 - WCDMA Japan 1700 band Bit 51 to 55 - Reserved Bit 56 - Band Class 16 Bit 57 - Band Class 17 Bit 58 - Band Class 18 Bit 59 - Band Class 19 Bit 60 to 64 - Reserved function SLQSGetSysSelectionPref() returns a default value FFFFFFFFFFFFFFFF if no value is returned by the device.
  pPRLPref | Optional parameter indicating the CDMA PRL Preference Values: 0x0001 - Acquire available system only on the A side 0x0002 - Acquire available system only on the B side 0x3FFF - Acquire any available systems function SLQSGetSysSelectionPref() returns a default value FFFF if no value is returned by the device.
  pRoamPref | Optional parameter indicating the roaming Preference Values: 0x01 - Acquire only systems for which the roaming indicator is off 0x02 - Acquire a system as long as its roaming indicator is not off 0x03 - Acquire only systems for which the roaming indicator is off or solid on, i.e. not flashing; CDMA only 0xFF - Acquire systems, regardless of their roaming indicator function SLQSGetSysSelectionPref() returns a default value FFFF if no value is returned by the device.
  pLTEBandPref | Optional parameter Bit mask representing the LTE band preference Bit Values Bit 0 - E-UTRA Operating Band 1 Bit 1 - E-UTRA Operating Band 2 Bit 2 - E-UTRA Operating Band 3 Bit 3 - E-UTRA Operating Band 4 Bit 4 - E-UTRA Operating Band 5 Bit 5 - E-UTRA Operating Band 6 Bit 6 - E-UTRA Operating Band 7 Bit 7 - E-UTRA Operating Band 8 Bit 8 - E-UTRA Operating Band 9 Bit 9 - E-UTRA Operating Band 10 Bit 10 - E-UTRA Operating Band 11 Bit 11 - E-UTRA Operating Band 12 Bit 12 - E-UTRA Operating Band 13 Bit 13 - E-UTRA Operating Band 14 Bit 16 - E-UTRA Operating Band 17 Bit 17 - E-UTRA Operating Band 18 Bit 18 - E-UTRA Operating Band 19 Bit 19 - E-UTRA Operating Band 20 Bit 20 - E-UTRA Operating Band 21 Bit 32 - E-UTRA Operating Band 33 Bit 33 - E-UTRA Operating Band 34 Bit 34 - E-UTRA Operating Band 35 Bit 35 - E-UTRA Operating Band 36 Bit 36 - E-UTRA Operating Band 37 Bit 37 - E-UTRA Operating Band 38 Bit 38 - E-UTRA Operating Band 39 Bit 39 - E-UTRA Operating Band 40 All other bits are reserved function SLQSGetSysSelectionPref() returns a default value FFFFFFFFFFFFFFFF if no value is returned by the device.
  pNetSelPref | Optional parameter indicating network selection preference Values: 0x00 - Automatic network selection 0x01 - Manual network selection function SLQSGetSysSelectionPref() returns a default value FF if no value is returned by the device.
  pSrvDomainPref | Optional parameter indicating Service domain preference Values: 0x00 - Circuit switched only 0x01 - Packet switched only 0x02 - Circuit switched and packet switched 0x03 - Packet switched attach 0x04 - Packet switched detach function SLQSGetSysSelectionPref() returns a default value FFFFFFFF if no value is returned by the device.
  pGWAcqOrderPref | Optional parameter indicating GSM/WCDMA Acquisition order Preference Values: 0x00 - Automatic 0x01 - GSM then WCDMA 0x02 - WCDMA then GSM function SLQSGetSysSelectionPref() returns a default value FFFFFFFF if no value is returned by the device.

Note
  None

typedef struct _sysSelectPrefParams sysSelectPrefParams

Contain the system selection preferences.

Parameters

  pEmerMode | Optional parameter specifying the emergency Mode Values: 0 - OFF (normal) 1 - ON (Emergency)
  pModePref | Optional parameter Bit Mask indicating the radio technology mode preference Bit values: Bit 0 - cdma2000 1x Bit 1 - cdma2000 HRPD(1xEV-DO) Bit 2 - GSM Bit 3 - UMTS Bit 4 - LTE
  pBandPref | Optional parameter Bit mask representing the band preference Bit values: Bit 0 - Band Class 0, A-System Bit 1 - Band Class 0, B-System, Band Class 0 AB, GSM 850 Band Bit 2 - Band Class 1, all blocks Bit 3 - Band Class 2 place holder Bit 4 - Band Class 3, A-System Bit 5 - Band Class 4, all blocks Bit 6 - Band Class 5, all blocks Bit 7 - GSM_DCS_1800 band Bit 8 - GSM Extended GSM (E-GSM) 900 band Bit 9 - GSM Primary GSM (P-GSM) 900 band Bit 10 - Band Class 6 Bit 11 - Band Class 7 Bit 12 - Band Class 8 Bit 13 - Band Class 9 Bit 14 - Band Class 10 Bit 15 - Band Class 11 Bit 16 - GSM 450 band Bit 17 - GSM 480 band Bit 18 - GSM 750 band Bit 19 - GSM 850 band Bit 20 - GSM Railways GSM 900 Band Bit 21 - GSM PCS 1900 band Bit 22 - WCDMA Europe, Japan, and China IMT 2100 band Bit 23 - WCDMA U.S. PCS 1900 band Bit 24 - WCDMA Europe and China DCS 1800 band Bit 25 - WCDMA U.S. 1700 band Bit 26 - WCDMA U.S. 850 band Bit 27 - WCDMA Japan 800 band Bit 28 - Band Class 12 Bit 29 - Band Class 14 Bit 30 - Reserved Bit 31 - Band Class 15 Bit 32 to 47 - Reserved Bit 48 - WCDMA Europe 2600 band Bit 49 - WCDMA Europe and Japan 900 band Bit 50 - WCDMA Japan 1700 band Bit 51 to 55 - Reserved Bit 56 - Band Class 16 Bit 57 - Band Class 17 Bit 58 - Band Class 18 Bit 59 - Band Class 19 Bit 60 to 64 - Reserved
  pPRLPref | Optional parameter indicating the CDMA PRL Preference Values: 0x0001 - Acquire available system only on the A side 0x0002 - Acquire available system only on the B side 0x3FFF - Acquire any available systems
  pRoamPref | Optional parameter indicating the roaming Preference Values: 0x01 - Acquire only systems for which the roaming indicator is off 0x02 - Acquire a system as long as its roaming indicator is not off 0x03 - Acquire only systems for which the roaming indicator is off or solid on, i.e. not flashing; CDMA only 0xFF - Acquire systems, regardless of their roaming indicator
  pLTEBandPref | Optional parameter Bit mask representing the LTE band preference Bit Values Bit 0 - E-UTRA Operating Band 1 Bit 1 - E-UTRA Operating Band 2 Bit 2 - E-UTRA Operating Band 3 Bit 3 - E-UTRA Operating Band 4 Bit 4 - E-UTRA Operating Band 5 Bit 5 - E-UTRA Operating Band 6 Bit 6 - E-UTRA Operating Band 7 Bit 7 - E-UTRA Operating Band 8 Bit 8 - E-UTRA Operating Band 9 Bit 9 - E-UTRA Operating Band 10 Bit 10 - E-UTRA Operating Band 11 Bit 11 - E-UTRA Operating Band 12 Bit 12 - E-UTRA Operating Band 13 Bit 13 - E-UTRA Operating Band 14 Bit 16 - E-UTRA Operating Band 17 Bit 17 - E-UTRA Operating Band 18 Bit 18 - E-UTRA Operating Band 19 Bit 19 - E-UTRA Operating Band 20 Bit 20 - E-UTRA Operating Band 21 Bit 32 - E-UTRA Operating Band 33 Bit 33 - E-UTRA Operating Band 34 Bit 34 - E-UTRA Operating Band 35 Bit 35 - E-UTRA Operating Band 36 Bit 36 - E-UTRA Operating Band 37 Bit 37 - E-UTRA Operating Band 38 Bit 38 - E-UTRA Operating Band 39 Bit 39 - E-UTRA Operating Band 40 All other bits are reserved
  pNetSelPref | - netSelectionPref Optional parameter for specifying Network Selection Preference Modem selects networks based on this parameter(if present). see netSelectionPref for more information
  pChgDuration | Optional parameter specifying the duration of the change Values: 0x00 - Power cycle - Remains active until the next device power cycle 0x01 - Permanent - Remains active through power cycles until changed by client Device will use "0x01 - permanent" as default if this parameter is omitted
  pMNCIncPCSDigStat | Optional parameter indicating if MNC includes PCS digit Values: TRUE - MNC is a 3 digit value; e.g., a reported value of 90 corresponds to an MNC value of 090 FALSE - MNC is a 2-digit value; e.g., a reported value of 90 corresponds to an MNC value of 90
  pSrvDomainPref | Optional parameter indicating Service domain preference Values: 0x00 - Circuit switched only 0x01 - Packet switched only 0x02 - Circuit switched and packet switched 0x03 - Packet switched attach 0x04 - Packet switched detach
  pGWAcqOrderPref | Optional parameter indicating GSM/WCDMA Acquisition order Preference Values: 0x00 - Automatic 0x01 - GSM then WCDMA 0x02 - WCDMA then GSM

## Function Documentation

ULONG GetACCOLC | ( | BYTE * | pACCOLC | ) |

Retreives information about the access overload class (ACCOLC)

Parameters

  pACCOLC[OUT] | ACCOLC : Valid range is 0 to 15

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG GetANAAAAuthenticationStatus | ( | ULONG * | pStatus | ) |

AN-AAA authentication status of the device.

Parameters

  pStatus[OUT] | Status of last AN-AAA authentication attempt 0 - Failure 1 - Success 2 - Not Requested

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds

ULONG GetCDMANetworkParameters | ( | BYTE * | pSCI,
|  | BYTE * | pSCM,
|  | BYTE * | pRegHomeSID,
|  | BYTE * | pRegForeignSID,
|  | BYTE * | pRegForeignNID,
|  | BYTE * | pForceRev0,
|  | BYTE * | pCustomSCP,
|  | ULONG * | pProtocol,
|  | ULONG * | pBroadcast,
|  | ULONG * | pApplication,
|  | ULONG * | pRoaming
| ) |  |

Gets the current CDMA network parameters

Parameters

  pSCI[OUT] | Slot cycle index 0xFF-Unknown
  pSCM[OUT] | Station class mark 0xFF-Unknown
  pRegHomeSID[OUT] | Register on home SID 0 - Disabled 1 - Enabled 0xFF - Unknown
  pRegForeignSID[OUT] | Register on foreign SID 0 - Disabled 1 - Enabled 0xFF - Unknown
  pRegForeignNID[OUT] | Register on foreign NID 0 - Disabled 1 - Enabled 0xFF - Unknown
  pForceRev0[OUT] | Force CDMA 1x-EV-DO Rev. 0 mode 0 - Disabled 1 - Enabled 0xFF - Unknown
  pCustomSCP[OUT] | Use a custom config for CDMA 1x-EV-DO SCP 0 - Disabled 1 - Enabled 0xFF - Unknown
  pProtocol[OUT] | Protocol mask for custom SCP config 0x00000001 - Subtype 2 Physical Layer 0x00000002 - Enhanced CCMAC 0x00000004 - Enhanced ACMAC 0x00000008 - Enhanced FTCMAC 0x00000010 - Subtype 3 RTCMAC 0x00000020 - Subsystem 1 RTCMAC 0x00000040 - Enhanced Idle 0x00000080 - Generic Multimode Capable Disc Port 0xFFFFFFFF - Unknown
  pBroadcast[OUT] | Broadcast mask for custom SCP config 0x00000001 - Generic broadcast enabled 0xFFFFFFFF - Unknown
  pApplication[OUT] | Application mask for custom SCP config 0x00000001 - SN Multiflow Packet Application 0x00000002 - SN Enhanced Multiflow Packet Application 0xFFFFFFFF - Unknown
  pRoaming[OUT] | Roaming preference 0 - Automatic 1 - Home Only 2 - Affiliated Roaming Only 3 - Home and Affiliated Roaming 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 5 seconds

ULONG GetHomeNetwork | ( | WORD * | pMCC,
|  | WORD * | pMNC,
|  | BYTE | nameSize,
|  | CHAR * | pName,
|  | WORD * | pSID,
|  | WORD * | pNID
| ) |  |

Retreives information about the home network of the device.

Parameters

  pMCC[OUT] | Mobile country code (UMTS only).
  pMNC[OUT] | Mobile network code (UMTS only).
  nameSize | Maximum number of characters (including NULL terminator) that 8 network name array can contain (UMTS only).
  pName[OUT] | Network name or description represented as a NULL terminated string (empty string returned when unknown) (UMTS only).
  pSID[OUT] | Home network system ID 0xFFFF - Unknown. Only applies to cdma2000
  pNID[OUT] | Home network ID 0xFFFF - Unknown. Only applies to cdma2000

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetNetworkPreference | ( | ULONG * | pTechnologyPref,
|  | ULONG * | pDuration,
|  | ULONG * | pPersistentTechnologyPref
| ) |  |

Returns the network registration preference.

Parameters

  pTechnologyPref[OUT] | Bitmask representing the radio technology preference set. No bits set indicates to the device to automatically determine the technology to use Values: Bit 0 - Technology is 3GPP2 Bit 1 - Technology is 3GPP Any combination of the following may be returned: Bit 2 - Analog - AMPS if 3GPP2, GSM if 3GPP Bit 3 - Digital - CDMA if 3GPP2, WCDMA if 3GPP Bit 4 - HDR Bit 5 - LTE Bits 6 to 15 - Reserved
  pDuration[OUT] | Duration of active preference 0 - Permanent 1 - Power cycle 2 - Until the end of the next call or a power cycle 3 - Until the end of the next call, a specified time, or a power cycle 4 to 6 - Until the end of the next call
  pPersistentTechnologyPref[OUT] | Bit field representing persistent radio technology preference Same representation as the pTechnologyPref parameter

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetRFInfo | ( | BYTE * | pInstanceSize,
|  | BYTE * | pInstances
| ) |  |

Sets the RFInfoList

Parameters

  pInstanceSize[IN/OUT] | Upon input, maximum number of elements that the RF info instances array can contain. Upon successful output, actual number of elements in RF info instances array.
  pInstances[OUT] | RF info instances array See RFBandInfoElements for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetServingNetwork | ( | ULONG * | pRegistrationState,
|  | ULONG * | pCSDomain,
|  | ULONG * | pPSDomain,
|  | ULONG * | pRAN,
|  | BYTE * | pRadioIfacesSize,
|  | BYTE * | pRadioIfaces,
|  | ULONG * | pRoaming,
|  | WORD * | pMCC,
|  | WORD * | pMNC,
|  | BYTE | nameSize,
|  | CHAR * | pName
| ) |  |

Provides information about the system that provides service to the device.

Parameters

  pRegistrationState[OUT] | Registration state: 0 - Not registered 1 - Registered 2 - Searching/Not Registered 3 - Registration Denied 4 - Unknown
  pCSDomain[OUT] | Circuit switch domain status: 0 - Unknown/Not Applicable 1 - Attached 2 - Detached
  pPSDomain[OUT] | Packet switch domain status 0 - Unknown/Not Applicable 1 - Attached 2 - Detached
  pRAN[OUT] | Type of radio access network on which mobile is registered: 0 - Unknown 1 - cdma2000 network 2 - UMTS network
  pRadioIfacesSize[IN/OUT] | Upon input, maximum number of elements that the radio interface array contain. Upon successful output, actual number of elements in the radio interface array.
  pRadioIfaces[OUT] | An array of Radio Interface Technology See qaGobiApiTableRadioInterfaces.h for the Radio Interface Technologies
  pRoaming[OUT] | Roaming indicator
  pMCC[OUT] | Mobile country code
  pMNC[OUT] | Mobile network code
  nameSize | Maximum number of characters (including NULL terminator) that network name array can contain; applicable only for UMTS networks
  pName[OUT] | Network name or description represented as a NULL terminated string; empty string is returned when unknown; applicable only for UMTS networks

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetServingNetworkCapabilities | ( | BYTE * | pDataCapsSize,
|  | BYTE * | pDataCaps
| ) |  |

Returns information regarding the data capabilities of the system that currently provides service to the device.

Parameters

  pDataCapsSize[IN/OUT] | Upon input, the maximum number of elements the data capabilities array can contain. Upon output, the actual number of elements in the data capabilities array.
  pDataCaps[OUT] | Data capabilities array of unsigned long type 1 - GPRS 2 - EDGE 3 - HSDPA 4 - HSUPA 5 - WCDMA 6 - CDMA 1xRTT 7 - CDMA 1xEV-DO Rev 0 8 - CDMA 1xEV-DO Rev. A 9 - GSM 10 - EVDO Rev. B 11 - LTE 12 - HSDPA Plus 13 - Dual Carrier HSDPA Plus

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG GetSignalStrength | ( | INT8 * | pSignalStrength,
|  | ULONG * | pRadioInterface
| ) |  |

Returns the signal strength.

Parameters

  pSignalStrength[OUT] | Received signal strength (in dBm)
  pRadioInterface[OUT] | Radio interface technology See qaGobiApiTableRadioInterfaces.h Radio Interface info

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds
  The API is deprecated, Use GetSignalStrengths API.

ULONG GetSignalStrengths | ( | ULONG * | pArraySizes,
|  | INT8 * | pSignalStrength,
|  | ULONG * | pRadioInterface
| ) |  |

Returns the available signal strengths ( in dBm ) as measured by the device in an array. The API also provides the corresponding radio radio interfaces in an array.

Parameters

  pArraySizes[IN/OUT] | Upon input maximum number of elements that each array can contain. Upon successful output actual number of elements in the array.
  pSignalStrength[OUT] | Received signal strength array (in dBm)
  pRadioInterface[OUT] | Radio interface technology array of the signal being measured See qaGobiApiTableRadioInterfaces.h for Radio Interface info

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG InitiateDomainAttach | ( | ULONG | action | ) |

Initiates a domain attach/detach of the device.

Parameters

  action | Domain action to attempt 1 - Attach 2 - Detach

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 seconds

ULONG InitiateNetworkRegistration | ( | ULONG | regType,
|  | WORD | mcc,
|  | WORD | mnc,
|  | ULONG | rat
| ) |  |

Initiates the network registration process.

Parameters

  regType | Registration type 1 - Automatic 2 - Manual
  mcc | Mobile country code
  mnc | Mobile network code
  rat | Radio access technology 4 - GSM 5 - UMTS

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 seconds

ULONG PerformNetworkScan | ( | BYTE * | pInstanceSize,
|  | BYTE * | pInstances
| ) |  |

Performs scan for available networks.

Parameters

  pInstanceSize[IN/OUT] | Upon input, maximum number of elements that the network info instance array can contain. Upon successful output, the actual number of elements in the network info instance array.
  pInstances[OUT] | Network info instance array See QmiNas3GppNetworkInfo

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 5 minutes

ULONG SetACCOLC | ( | CHAR * | spc,
|  | BYTE | accolc
| ) |  |

Sets the access overload class (ACCOLC)

Parameters

  spc[IN] | service programming code NULL-terminated string of six digit
  ACCOLC | ACCOLC : Valid range is 0 to 15

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 5 seconds

ULONG SetCDMANetworkParameters | ( | CHAR * | pSPC,
|  | BYTE * | pForceRev0,
|  | BYTE * | pCustomSCP,
|  | ULONG * | pProtocol,
|  | ULONG * | pBroadcast,
|  | ULONG * | pApplication,
|  | ULONG * | pRoaming
| ) |  |

Sets the CDMA network parameters. Currently the modified settings will not be utilized until the device has been reset. For this reason, the recommended approach when using SetCDMANetworkParameters is for the application to perform the following steps:
1 - Call SetCDMANetworkParameters() 2 - Call SetPower( 5 ) 3 - Call QCWWANDisconnect() 4 - Reconnect after the device power cycles

Parameters

  pSPC[IN] | Six digit service programming code (not necessary when only the roaming field is being set)
  pForceRev0[IN] | (Optional)Force CDMA 1x-EV-DO Rev. 0 mode 0 - Disabled 1 - Enabled Note: Enabled can only be specified if pCustomSCP state is set to Disabled
  pCustomSCP[IN] | (Optional)Use a custom config for CDMA 1x-EV-DO SCP 0 - Disabled 1 - Enabled Note: Enabled can only be specified if pForceRev0 is set to Disabled
  pProtocol[IN] | Protocol mask for custom SCP config 0x00000001 - Subtype 2 Physical Layer 0x00000002 - Enhanced CCMAC 0x00000004 - Enhanced ACMAC 0x00000008 - Enhanced FTCMAC 0x00000010 - Subtype 3 RTCMAC 0x00000020 - Subsystem 1 RTCMAC 0x00000040 - Enhanced Idle 0x00000080 - Generic Multimode Capable Disc Port 0xFFFFFFFF - Unknown
  pBroadcast[IN] | Broadcast mask for custom SCP config 0x00000001 - Generic broadcast enabled 0xFFFFFFFF - Unknown
  pApplication[IN] | Application mask for custom SCP config 0x00000001 - SN Multiflow Packet Application 0x00000002 - SN Enhanced Multiflow Packet Application 0xFFFFFFFF - Unknown
  pRoaming[IN] | Roaming preference 0 - Automatic 1 - Home Only 2 - Affiliated Roaming Only 3 - Home and Affiliated Roaming 0xFFFFFFFF - Unknown

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 5 seconds

ULONG SetNetworkPreference | ( | ULONG | technologyPref,
|  | ULONG | duration
| ) |  |

Sets the network registration preference.

Parameters

  technologyPref | 2 Byte Bitmask representing radio technology preference No bits set indicates device to automatically determine the technology to use. Type of technology Bit 0 - Technology is 3GPP2 Bit 1 - Technology is 3GPP Technology-specific protocol bitmask Bit 2 - Analog AMPS if 3GPP2, GSM if 3GPP Bit 3 - Digital CDMA if 3GPP2, WCDMA if 3GPP Bit 4 - HDR Bit 5 - LTE All other bits are reserved.
  duration | Duration of active preference 0 - Persistent 1 - Power cycle

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSConfigSigInfo | ( | sigInfo * | pSigInfo | ) |

Sets the signal reporting thresholds.

Parameters

  pSigInfo[IN] | See sigInfo for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSGetErrorRate | ( | GetErrRateResp * | pGetErrRateResp | ) |

This API retrieves current error rate information

Parameters

  pGetErrRateResp[OUT] | See GetErrRateResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSGetOperatorNameData | ( | nasOperatorNameResp * | pOperatorNameData | ) |

Get the operator name data from the network.

Parameters

  pOperatorNameData[OUT] | See nasOperatorNameResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 10 seconds

ULONG SLQSGetPLMNName | ( | nasPLMNNameReq * | pPLMNNameReq,
|  | nasPLMNNameResp * | pPLMNNameResp
| ) |  |

Get the operator name data from the network.

Parameters

  pPLMNNameReq[IN] | See nasPLMNNameReq for more information
  pPLMNNameResp[OUT] | See nasPLMNNameResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 10 seconds

ULONG SLQSGetServingSystem | ( | qaQmiServingSystemParam * | pServingSystem | ) |

Provides information about the system that provides service to the device.

Parameters

  pServingSystem[OUT] | serving system parameters obtained from the system

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise.

See Also
  See qmerrno.h for eQCWWAN_xxx error values.

Note
  Timeout: 2 seconds

ULONG SLQSGetSignalStrength | ( | struct slqsSignalStrengthInfo * | pSignalInfo | ) |

Queries the current signal strength as measured by the device.

Parameters

  pSignalInfo[IN/OUT] | See slqsSignalStrengthInfo for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSGetSysSelectionPref | ( | sysSelectPrefInfo * | pSysSelectPrefInfo | ) |

Queries the different system selection preferences of the device.

Parameters

  pSysSelectPrefInfo[OUT] | See sysSelectPrefInfo for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSInitiateNetworkRegistration | ( | nasInitNetworkReg * | pNasInitNetRegistrationReg | ) |

Initiates the network registration process.

Parameters

  pNasInitNetRegistrationReq | Pointer to structure nasInitNetworkReq See nasInitNetworkReg for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 seconds

ULONG SLQSNasGet3GPP2Subscription | ( | nasGet3GPP2SubscriptionInfoReq * | pGet3GPP2SubsInfoReq,
|  | nasGet3GPP2SubscriptionInfoResp * | pGet3GPP2SubsInfoResp
| ) |  |

This API retrieves 3GPP2 subscription-related information.

Parameters

  pGet3GPP2SubsInfoReq[IN] | See nasGet3GPP2SubscriptionInfoReq for more information
  pGet3GPP2SubsInfoResp[OUT] | See nasGet3GPP2SubscriptionInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 2 seconds
  This command retrieves 3GPP2 subscription-related information. The QMI_ERR_INTERNAL error is returned when no information can be retrieved from the modem.

ULONG SLQSNasGetCellLocationInfo | ( | nasCellLocationInfoResp * | pNasCellLocationInfoResp | ) |

This API retrieves cell location-related information

Parameters

  pNasCellLocationInfoResp[OUT] | See nasCellLocationInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds
  This API retrieves cell location-related information, depending on current serving system.

ULONG SLQSNasGetHDRColorCode | ( | nasGetHDRColorCodeResp * | pGetHDRColorCodeResp | ) |

This API retrieves the current HDR color code value.

Parameters

  pGetHDRColorCodeResp[OUT] | See nasGetHDRColorCodeResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSNasGetSigInfo | ( | nasGetSigInfoResp * | pGetSigInfoResp | ) |

This API queries information regarding the signal strength.

Parameters

  pGetSigInfoResp[OUT] | See nasGetSigInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds
  This command queries the signal strength information for currently active RATs. Information is reported only if the corresponding RATs have signal strength values to be reported. If no signal strength information is available for any RAT, the response message contains only the mandatory response message

ULONG SLQSNasGetSysInfo | ( | nasGetSysInfoResp * | pGetSysInfoResp | ) |

Provides the system information.

Parameters

  pGetSysInfoResp[OUT] | See nasGetSysInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds
  This API queries current serving system information, including registration information and system property. The registration information for all RATs specified in the mode capability setting are included regardless of registration status. The RAT-specific system property are included only for RATs that are specified in the mode capability setting and which are not in either No Service or Power Save modes.

ULONG SLQSNasGetTxRxInfo | ( | nasGetTxRxInfoReq * | pGetTxRxInfoReq,
|  | nasGetTxRxInfoResp * | pGetTxRxInfoResp
| ) |  |

This API retrieves the detailed Tx/Rx information.

Parameters

  pGetTxRxInfoReq[IN] | See nasGetTxRxInfoReq for more information
  pGetTxRxInfoResp[OUT] | See nasGetTxRxInfoResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds
  This command retrieves Tx/Rx information for a radio interface. The Rx chain are included in the response message only if they are enabled.

ULONG SLQSNasIndicationRegister | ( | BYTE | systemSelectionInd,
|  | BYTE | DDTMInd,
|  | BYTE | servingSystemInd
| ) |  |

Register/De-register from NAS (Network access service) broadcast indications. Some callbacks would not be invoked if the indications are not registered. The details are provided in the parameter description.

Parameters

  systemSelectionInd | system selection preference indication registration. The following callbacks would not be invoked if the indication is disabled. tFNRoamingIndicator tFNDataCapabilities and tFNServingSystem 0x00 - for disable 0x01 - for enable 0xFF - No change - Specifying this parameter indicates that the device will continue to use the existing setting (disable/enable) which has been previously set for the device
  DDTMInd | DDTM (Data Dedicated Transmission Mode) indication registration. 0x00 - for disable 0x01 - for enable 0xFF - No change - Specifying this parameter indicates that the device will continue to use the existing setting (disable/enable) which has been previously set for the device
  servingSystemInd | Serving system indication registration. The following callbacks would not be invoked if the indication is disabled. tFNBandPreference 0x00 - for disable 0x01 - for enable 0xFF - No change - Specifying this parameter indicates that the device will continue to use the existing setting (disable/enable) which has been previously set for the device

Returns
  eQCWWAN_ERR_sNONE on success, eQCWWAN_xxx error value otherwise.

See Also
  See qmerrno.h for eQCWWAN_xxx error values.

Note
  Timeout: 2 seconds

ULONG SLQSNasIndicationRegisterExt | ( | nasIndicationRegisterReq * | pIndicationRegisterReq | ) |

This API Registers/De-registers for different NAS (Network access service) indications.

Parameters

  pIndicationRegisterReq[IN] | See nasIndicationRegisterReq for more information

Returns
  eQCWWAN_ERR_sNONE on success, eQCWWAN_xxx error value otherwise.

See Also
  See qmerrno.h for eQCWWAN_xxx error values.

Note
  Technology Supported: UMTS/CDMA
  Device Supported: MC83x5, MC7700/50
  Timeout: 2 seconds
  This API is used by a control point to register/deregister for different QMI_NAS indications. The control point's registration state variables, controlling registration for indications, are modified to reflect the settings indicated in the parameters that are present in the request message. At least one optional parameter must be present in the request.

ULONG SLQSNasSwiIndicationRegister | ( | NasSwiIndReg * | pIndRegReq | ) |

sets the registration state for different QMI_NAS SWI indications

Parameters

  pIndRegReq[IN] | See NasSwiIndReg for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSNasSwiModemStatus | ( | swiModemStatusResp * | pModemStatusResp | ) |

This API requests the device to return the current status of modem.

Parameters

  pModemStatusResp[OUT] | See swiModemStatusResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSPerformNetworkScan | ( | slqsNetworkScanInfo * | pNetworkInfo | ) |

Performs scan for available networks and scans for RAT info as well.

Parameters

  pNetworkInfo[IN/OUT] | See slqsNetworkScanInfo for more information Valid pointers to the following structure members are mandatory pNetworkInfoInstances pNetworkInfo

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 5 minutes

ULONG SLQSSetBandPreference | ( | ULONGLONG | bandpreference | ) |

Provides information about the band preference.

Parameters

  bandpreference | Bit mask representing the band preference to be set. Bit position meanings: 0 - BC0_A - Band Class 0, A-System 1 - BC0_B - Band Class 0, B-System, Band Class 0 AB , GSM 850 Band 2 - BC1 - Band Class 1, all blocks 3 - BC2 - Band Class 2 place holder 4 - BC3 - Band Class 3, A-System 5 - BC4 - Band Class 4, all blocks 6 - BC5 - Band Class 5, all blocks 7 - GSM_DCS_1800 - GSM DCS band 8 - GSM_EGSM_900 - GSM Extended GSM (E-GSM) band 9 - GSM_PGSM_900 - GSM Primary GSM (P-GSM) band 10 - BC6 - Band Class 6 11 - BC7 - Band Class 7 12 - BC8 - Band Class 8 13 - BC9 - Band Class 9 14 - BC10 - Band Class 10 15 - BC11 - Band Class 11 16 - GSM_450 - GSM 450 band 17 - GSM_480 - GSM 480 band 18 - GSM_750 - GSM 750 band 19 - GSM_850 - GSM 850 band 20 - GSM_RGSM_900 - GSM Railways GSM Band 21 - GSM_PCS_1900 - GSM PCS band 22 - WCDMA_I_IMT_2000 - WCDMA EUROPE JAPAN and CHINA IMT 2100 band 23 - WCDMA_II_PCS_1900 - WCDMA US PCS 1900 band 24 - WCDMA_III_1700 - WCDMA EUROPE and CHINA DCS 1800 band 25 - WCDMA_IV_1700 - WCDMA US 1700 band 26 - WCDMA_V_850 - WCDMA US 850 band 27 - WCDMA_VI_800 - WCDMA JAPAN 800 band 28 - BC12 - Band Class 12 29 - BC14 - Band Class 14 30 - RESERVED_2 - Reserved 2 31 - BC15 - Band Class 15 32 - 47 - Reserved 48 - WCDMA_VII_2600 - WCDMA EUROPE 2600 band 49 - WCDMA_VIII_900 - WCDMA EUROPE and JAPAN 900 band 50 - WCDMA_IX_1700 - WCDMA JAPAN 1700 band 51 to 55 - Reserved 56 - BBC16 - Band Class 16 57 - BC17 - Band Class 17 58 - BC18 - Band Class 18 59 - BC19 - Band Class 19 60 to 64 - Reserved

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise.

See Also
  See qmerrno.h for eQCWWAN_xxx error values.

Note
  Timeout: 2 seconds

ULONG SLQSSetSysSelectionPref | ( | sysSelectPrefParams * | pSysSelectPrefParams | ) |

Sets the different system selection preferences of the device.

Parameters

  pSysSelectPrefParams[IN] | See sysSelectPrefParams for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 2 seconds

ULONG SLQSSwiGetHDRPersonality | ( | HDRPersonalityResp * | pHDRPersonalityResp | ) |

This API retrieves HDR Personality related information

Parameters

  pHDRPersonalityResp[OUT] | See HDRPersonalityResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 5 seconds

ULONG SLQSSwiGetHDRProtSubtype | ( | HDRProtSubtypResp * | pHDRProtSubtypResp | ) |

This API retrieves HDR Prototype Subtype related information

Parameters

  pHDRProtSubtypResp[OUT] | See HDRProtSubtypResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 5 seconds

ULONG SLQSSwiGetHRPDStats | ( | GetHRPDStatsResp * | pGetHRPDStatsResp | ) |

This API retrieves currently acquired HRPD system statistics

Parameters

  pGetHRPDStatsResp[OUT] | See GetHRPDStatsResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSwiGetLteCQI | ( | LteCQIParm * | pLteCQIResp | ) |

This API Fetch CQI parameters for LTE data session

Parameters

  pLteCQIParm[OUT] | See LteCQIParm for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSwiNetworkDebug | ( | NetworkDebugResp * | pNetworkDebugResp | ) |

This API retrieves device and network status details

Parameters

  pNetworkDebugResp[OUT] | See NetworkDebugResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 seconds

ULONG SLQSSwiPSDetach | ( | PSDetachReq * | pPSDetachReq | ) |

This API detaches PS connection.

Parameters

  pPSDetachReq[IN] | See PSDetachReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 5 seconds